"""Default configuration."""


class Config(object):
    """Represent the default configuration.

    Reminder: this should be overwritten in the instance config.py, not here!
    """

    DEBUG = False
    TESTING = False

    LOGGING = {
        'version': 1,
        'formatters': {
            'default': {
                'format': '[%(asctime)s %(levelname)-7s %(name)s] %(message)s',
            },
        },
        'handlers': {
            'console': {
                'level': 'DEBUG',
                'class': 'logging.StreamHandler',
                'formatter': 'default',
            },
        },
        'loggers': {
            '': {
                'level': 'INFO',
                'handlers': ['console'],
            },
        },
    }

    MARKDOWN_EXTENSIONS = ['meta', 'tables']

    PAGE_STYLES = {
        'DEFAULT': 'css/light.css',
        'dark': 'css/dark.css',
        'light': 'css/light.css',
    }

    TITLE_SUFFIX = 'incorporeal.org'
    MEDIA_DIR = 'media'
